Форум русскоязычного сообщества Ubuntu


Автор Тема: Вырубается Viber (РЕШЕНО)  (Прочитано 4801 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Вырубается Viber (РЕШЕНО)
« : 16 Апрель 2015, 23:03:09 »
Вайбер запускаеться, принимает сообщения, но когда я захожу в любую переписку он завершается.

При запуске через терминал выдает следующее:

fry@Paradise:~$ /opt/viber/Viber
Aborted (core dumped)

Пробовал полную переустановку, без изменений. Поиск по форуму ничего не дал.
« Последнее редактирование: 28 Апрель 2015, 15:01:23 от difry »

Оффлайн victor00000

  • Забанен
  • Старожил
  • *
  • Сообщений: 15570
  • Глухонемой (Deaf)
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #1 : 16 Апрель 2015, 23:08:44 »
cd  /opt/viber/
./Viber
ls -l Viber
?
Нельзя друзья, дулу - AnrDaemon видите?
~.o

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #2 : 16 Апрель 2015, 23:17:51 »
fry@Paradise:/opt/viber$ ls -l Viber
-rwxr-xr-x 1 root root 35036012 июля  29  2014 Viber

Оффлайн victor00000

  • Забанен
  • Старожил
  • *
  • Сообщений: 15570
  • Глухонемой (Deaf)
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #3 : 16 Апрель 2015, 23:19:49 »
cd  /opt/viber/
./Viber
?
Нельзя друзья, дулу - AnrDaemon видите?
~.o

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #4 : 16 Апрель 2015, 23:22:39 »
fry@Paradise:~$ cd /opt/viber/
fry@Paradise:/opt/viber$ ./Viber

Точно так же открываеться как если бы обычно запускать его и работает пока чат не откроешь, заходишь в чат и опять выдает
Aborted (core dumped)

Оффлайн victor00000

  • Забанен
  • Старожил
  • *
  • Сообщений: 15570
  • Глухонемой (Deaf)
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #5 : 16 Апрель 2015, 23:52:20 »
(Нажмите, чтобы показать/скрыть)
Нельзя друзья, дулу - AnrDaemon видите?
~.o

Оффлайн MooSE

  • Старожил
  • *
  • Сообщений: 1025
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #6 : 17 Апрель 2015, 00:35:50 »
Как ставили Viber? Выглядит так, будто либо не хватает какой-то библиотеки, либо версия библиотеки не подходящая.

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #7 : 17 Апрель 2015, 01:13:22 »
Как ставили Viber? Выглядит так, будто либо не хватает какой-то библиотеки, либо версия библиотеки не подходящая.

Скачал .deb пакет и установил через software center.  Он у меня где то месяц после этого работал нормально, вот только недавно эта проблема появилась, пока я пытался научить программы сворачиваться при запуске, но я кроме того что сделал скрипты для запуска ничего не менял вроде, да и если запускать вайбер через консоль ничего не меняеться.

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #8 : 18 Апрель 2015, 15:27:07 »
Неужели никто не знает в чем дело?

Оффлайн MooSE

  • Старожил
  • *
  • Сообщений: 1025
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #9 : 21 Апрель 2015, 16:49:30 »
Неужели никто не знает в чем дело?

Вполне возможно что так.

Можете проверить зависимости библиотек с помощью ldd. Можете попробовать погонять Viber под strace и посмотреть на чём упадёт.

А ещё вы не указали версию Ubuntu.



Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #10 : 21 Апрель 2015, 20:03:02 »
Неужели никто не знает в чем дело?

Вполне возможно что так.

Можете проверить зависимости библиотек с помощью ldd. Можете попробовать погонять Viber под strace и посмотреть на чём упадёт.

А ещё вы не указали версию Ubuntu.












ну выглядит хорошо нет? )))

fry@Paradise:~$ ldd /opt/viber/Viber
linux-vdso.so.1 =>  (0x00007fff44ddf000)
libqfacebook.so => /opt/viber/libqfacebook.so (0x00007f7db13e3000)
libXss.so.1 => /opt/viber/libXss.so.1 (0x00007f7db11de000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f7db0f9e000)
libQt5Widgets.so.5 => /opt/viber/libQt5Widgets.so.5 (0x00007f7db0781000)
libQt5Network.so.5 => /opt/viber/libQt5Network.so.5 (0x00007f7db041b000)
libQt5Sql.so.5 => /opt/viber/libQt5Sql.so.5 (0x00007f7db01da000)
libQt5WebKit.so.5 => /opt/viber/libQt5WebKit.so.5 (0x00007f7dadce6000)
libQt5WebKitWidgets.so.5 => /opt/viber/libQt5WebKitWidgets.so.5 (0x00007f7dadaa2000)
libQt5Declarative.so.5 => /opt/viber/libQt5Declarative.so.5 (0x00007f7dad50f000)
libQt5DBus.so.5 => /opt/viber/libQt5DBus.so.5 (0x00007f7dad28b000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f7dad086000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f7dace7e000)
libQt5OpenGL.so.5 => /opt/viber/libQt5OpenGL.so.5 (0x00007f7dacc24000)
libQt5Gui.so.5 => /opt/viber/libQt5Gui.so.5 (0x00007f7dac501000)
libQt5Core.so.5 => /opt/viber/libQt5Core.so.5 (0x00007f7dabde3000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f7dabadf000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f7dab7d8000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f7dab5c2000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f7dab1fd000)
libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f7daaec7000)
libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f7daacb5000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f7daaa9c000)
libGL.so.1 => /usr/lib/nvidia-304/libGL.so.1 (0x00007f7daa77e000)
/lib64/ld-linux-x86-64.so.2 (0x00007f7db1609000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f7daa574000)
libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f7daa370000)
libicui18n.so.48 => /opt/viber/libicui18n.so.48 (0x00007f7da9fa8000)
libicuuc.so.48 => /opt/viber/libicuuc.so.48 (0x00007f7da9c3e000)
libxslt.so.1 => /usr/lib/x86_64-linux-gnu/libxslt.so.1 (0x00007f7da9a00000)
libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f7da969a000)
libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f7da9392000)
libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f7da9140000)
libgstreamer-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0 (0x00007f7da8e56000)
libgstapp-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstapp-0.10.so.0 (0x00007f7da8c4a000)
libgstbase-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0 (0x00007f7da89f5000)
libgstinterfaces-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstinterfaces-0.10.so.0 (0x00007f7da87e3000)
libgstpbutils-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstpbutils-0.10.so.0 (0x00007f7da85bf000)
libgstvideo-0.10.so.0 => /usr/lib/x86_64-linux-gnu/libgstvideo-0.10.so.0 (0x00007f7da83a2000)
libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f7da80e9000)
libQt5Quick.so.5 => /opt/viber/libQt5Quick.so.5 (0x00007f7da7b34000)
libQt5Qml.so.5 => /opt/viber/libQt5Qml.so.5 (0x00007f7da751f000)
libQt5PrintSupport.so.5 => /opt/viber/libQt5PrintSupport.so.5 (0x00007f7da72bb000)
libQt5XmlPatterns.so.5 => /opt/viber/libQt5XmlPatterns.so.5 (0x00007f7da6c7a000)
libQt5Script.so.5 => /opt/viber/libQt5Script.so.5 (0x00007f7da67fd000)
libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f7da65dd000)
libnvidia-tls.so.304.125 => /usr/lib/nvidia-304/tls/libnvidia-tls.so.304.125 (0x00007f7da63da000)
libnvidia-glcore.so.304.125 => /usr/lib/nvidia-304/libnvidia-glcore.so.304.125 (0x00007f7da3ff0000)
libicudata.so.48 => /opt/viber/libicudata.so.48 (0x00007f7da2c7f000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f7da2a5d000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f7da281e000)
libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f7da2616000)
libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f7da2412000)
liborc-0.4.so.0 => /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0 (0x00007f7da218f000)
libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f7da1f8b000)
libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f7da1d84000)

а как strace пользоваться? я в терминале запустил

strace /opt/viber/Viber
он на три страницы выдал вагон строк и запустил вайбер и он как обычно завис, ничего не написав.


Оффлайн MooSE

  • Старожил
  • *
  • Сообщений: 1025
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #11 : 22 Апрель 2015, 17:23:39 »
а как strace пользоваться? я в терминале запустил

strace /opt/viber/Viber
он на три страницы выдал вагон строк и запустил вайбер и он как обычно завис, ничего не написав.

Именно так и пользоваться. И смотреть что было до перед тем как он завис.


И повторяю вопрос: какая версия Ubuntu?

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #12 : 22 Апрель 2015, 17:51:39 »
14.04  так он запускает его просто а потом уже ничего на выдает когда завершаеться вайбер

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2736
    • Просмотр профиля
Re: Вырубается Viber
« Ответ #13 : 23 Апрель 2015, 01:08:03 »
14.04

Есть 14.04 ядром 3.13, а есть с ядром 3.16, графический стёк так же отличается. В первом случае принято писать 14.04.1 во втором 14.04.2 (но полностью обновлённая система с любым ядром и графическим стёком на данный момент будет определяться как 14.04.2)

Возможно это нехорошее приложение заработает на другом ядре, метод тыка тоже никто не отменял. А владельцам приложениия (сервиса) должно быть видней.

Оффлайн difry

  • Автор темы
  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
    • dmitryfry
Re: Вырубается Viber
« Ответ #14 : 28 Апрель 2015, 15:00:25 »
Короче вайбер падал из-за того что он одновременно использовал одновременно и Qt5, и Qt4. Решаеться переустановкой  libqtgui4:amd64

sudo apt-get remove libqtgui4:amd64
sudo apt-get install  libqtgui4:amd64


 

Страница сгенерирована за 0.095 секунд. Запросов: 24.